Search found 2764 matches

by keithsloan52
Wed Apr 10, 2024 8:54 pm
Forum: Python scripting and macros
Topic: Face with Surface & four Edges
Replies: 1
Views: 216

Face with Surface & four Edges

Okay if I have an Object with a Face which has a Surface and four Edges.

From the Surface I can see that it is a UV Surface, is there a way to tell which Edges correspond to the U direction and which the V direction?

An example file
testSurface.FCStd
(5.06 KiB) Downloaded 10 times
by keithsloan52
Wed Apr 10, 2024 5:28 pm
Forum: Python scripting and macros
Topic: Get getGlobalPlacement for a Link.
Replies: 25
Views: 19908

Re: Get getGlobalPlacement for a Link.

What if that Part also has parent's? I would expect that getting the GlobalPlacement would involve multiplications of all Placements from a Part at the root of a document all way down through other Parts until one gets to the targetObj and if the targetObj is a Link that Placements of the LinkedObj...
by keithsloan52
Sun Apr 07, 2024 12:10 pm
Forum: Python scripting and macros
Topic: B-Spline from a number of points
Replies: 2
Views: 285

B-Spline from a number of points

FreeCAD news mentions
wwmayer fixed a lot of bugs and developed a new function to approximate B‑Spline from points.
Where can I find more details on the function to create a B-Spline?

Thanks
by keithsloan52
Wed Apr 03, 2024 9:02 pm
Forum: Python scripting and macros
Topic: Function to convert a Label to a Name.
Replies: 6
Views: 496

Re: Function to convert a Label to a Name.

It does work, but you have to use the correct label. doc.getObjectsByLabel("100_Adrenal_left\r") For whatever reason, the label of that object in your file has a carriage return control character at its end. Well the Mesh::Feature Objects were created as a result of Mesh.read(".... f...
by keithsloan52
Wed Apr 03, 2024 1:25 pm
Forum: Python scripting and macros
Topic: Function to convert a Label to a Name.
Replies: 6
Views: 496

Re: Function to convert a Label to a Name.

doc = App.ActiveDocument doc.getObjectsByLabel("Cube") Unfortunately does not seem to work for Mesh::Features as created by Mesh.read :( testGetByLabels.FCStd >>> doc=FreeCAD.ActiveDocument >>> print(doc.getObjectsByLabel("worldVOL")) [<Part object>] >>> print(doc.getObjectsByLa...
by keithsloan52
Wed Apr 03, 2024 8:02 am
Forum: Python scripting and macros
Topic: Function to convert a Label to a Name.
Replies: 6
Views: 496

Re: Function to convert a Label to a Name.

Roy_043 wrote: Wed Apr 03, 2024 7:08 am

Code: Select all

doc = App.ActiveDocument
doc.getObjectsByLabel("Cube")
Thanks, I had missed that one.
by keithsloan52
Wed Apr 03, 2024 6:55 am
Forum: Python scripting and macros
Topic: Function to convert a Label to a Name.
Replies: 6
Views: 496

Function to convert a Label to a Name.

If I use FreeCAD Mesh facility to load an OBJ file, it loads but does nothing about Materials, Colour etc. I am trying to implement a load that preprocess the OBJ file to build a dictionary with {Name, [Material, Colour]} etc. I then use Mesh.read to read the OBJ file. I then wish to process the dic...
by keithsloan52
Sun Mar 31, 2024 9:34 am
Forum: Python scripting and macros
Topic: Using a FC Mesh in a Part Python Feature.
Replies: 1
Views: 211

Using a FC Mesh in a Part Python Feature.

I would like to use a FC Mesh in a Part Python Feature, ideally without storing the Mesh as a separate Object in the Document i.e. having the mesh as a Link Property. I have tried the approach of passing in the mesh to the Part::FeaturePython and creating a Part::Shape with class GDMLMesh(GDMLsolid)...
by keithsloan52
Thu Mar 28, 2024 8:54 am
Forum: Help on using FreeCAD
Topic: Curves workbench
Replies: 1839
Views: 442001

Re: Curves workbench

Okay I am trying to understand the info I am getting from a Surface. i.e. Obj.Shape.Faces[x].Surface print(dir(surface)) 08:06:33 ['Content', 'Continuity', 'FirstUKnotIndex', 'FirstVKnotIndex', 'LastUKnotIndex', 'LastVKnotIndex', 'MaxDegree', 'MemSize', 'Module', 'NbUKnots', 'NbUPoles', 'NbVKnots', ...
by keithsloan52
Sat Mar 23, 2024 5:03 pm
Forum: Help on using FreeCAD
Topic: Curves workbench
Replies: 1839
Views: 442001

Re: Curves workbench

It does not seem to matter how I access e.Curve I get an error <class 'TypeError'>: undefined curve type This error appears on degenerated edges (length=0, only 1 vertex). On RotationSweep, this faulty edge is the rotation center of the swept profiles. This same error also appears for example on th...